FROM odoo:17.0

# Switch to root to install packages
USER root

# Update package list and install necessary packages
RUN apt-get update && apt-get install -y python3-venv

# Create symlink from python3 to python
RUN ln -s /usr/bin/python3 /usr/bin/python

# Install some dependencies
RUN pip install mygeotab

# Copy the tests directory into the image
COPY tests/ /tests/

# Set execute permissions and ownership
RUN chmod +x /tests/runtests.sh \
    && chown -R odoo:odoo /tests

# Switch back to the odoo user
USER odoo
